Get thesis by ID
curl --request GET \
--url https://api.example.com/api/graph/v1/thesis/{thesis_id}import requests
url = "https://api.example.com/api/graph/v1/thesis/{thesis_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/thesis/{thesis_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thesis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"direction": "bullish",
"timeframe": "intraday",
"narrative": "<string>",
"sectors": [
"<string>"
],
"confidence": 0.5,
"source": "ai_generated",
"valid_until": "2023-11-07T05:31:56Z",
"regime_dominant": "<string>",
"regime_confidence": 123,
"regime_vector": {},
"vix_regime": "<string>",
"day_type": "<string>",
"catalysts": [
"<string>"
],
"invalidation_conditions": [
"<string>"
],
"catalyst_ids": [
"<string>"
],
"risk_ids": [
"<string>"
],
"debate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"macro_event_id": "<string>",
"symbols": [
"<string>"
],
"regime_drifted": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Thesis
Get thesis by ID
Get a thesis by ID.
GET
/
api
/
graph
/
v1
/
thesis
/
{thesis_id}
Get thesis by ID
Path Parameters
Response
Successful Response
Full thesis model for API responses.
Thesis lifecycle status.
Available options:
active, invalidated, expired, realized Available options:
bullish, bearish, neutral Available options:
intraday, swing, position 1-2 sentence human-readable thesis
Ranked by thesis fit
Thesis-specific conviction 0-1
Required range:
0 <= x <= 1Available options:
ai_generated, user_defined, debate_derived, news_derived Auto-set based on timeframe
V5 dominant state at creation
V5 Shannon entropy confidence (0-100)
Full 6-state probabilities (for audit)
Show child attributes
Show child attributes
VIX regime label at creation
Day classification at creation
Structured catalyst IDs
Structured risk IDs
Driving MacroEvent (graph event_id)
True if current regime differs from thesis regime